org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class CircuitBreakerLifecycleService1

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.CircuitBreakerLifecycleService1

    @Dependent
    public class CircuitBreakerLifecycleService1
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerLifecycleService1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `service()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerLifecycleService1

    public CircuitBreakerLifecycleService1()

### Method Detail

#### service

    @CircuitBreaker(requestVolumeThreshold=8)
    public void service()
                                                           throws IOException

Throws:
  `IOException`